.\"
.\" Copyright 1992 Rainer Klute <klute@irb.informatik.uni-dortmund.de>
.\"
.\" Permission to use, copy, modify, distribute, and sell this software and its
.\" documentation for any purpose is hereby granted without fee, provided that
.\" the above copyright notice appear in all copies and that both that copyright
.\" notice and this permission notice appear in supporting documentation.  The
.\" author makes no representations about the suitability of this software for
.\" any purpose.  It is provided "as is" without express or implied warranty.
.\"
.TH MDISP 1 "April 1992" X11R5
.SH NAME
mdisp \- X Toolkit demo program using multiple displays
.SH SYNOPSIS
.B mdisp
[
.I \-toolkitoptions ...
]
.SH DESCRIPTION
This program demonstrates how to use multiple displays in programs based on
the X Toolkit. It also shows how to catch a broken display connection and
proceed with the remaining displays.
.PP
When you start
.IR mdisp ,
it pops up a window containing a text widget and some buttons. The text
widget displays the name of your X server. With the buttons you can do the
following:
.PP
.I Open display:
.RS
If you press this button,
.I mdisp
will establish a new display connection to the X server who's name is
specified in the text widget. A new
.I mdisp
window will appear on that display.
.RE
.PP
.I New widget:
.RS
This button creates a new instance of the
.I mdisp
window.  However, no new display connection will be established, but the
connection of the current window will be used. (The "current"
.I mdisp
window is the one you click a button in.)
.RE
.PP
.I Close:
.RS
This button closes the current
.I mdisp
window smoothly.
.RE
.PP
.I Kill:
.RS
If you press this button the display connection of the current
.I mdisp
window will be killed brutally (using the Xlib call
.BR XKillClient() ).
This simulates a broken display connection and is useful to test whether
.I mdisp
handles these cases properly. You will notice that all
.I mdisp
windows created over the killed display connection will disappear, and all
the others will remain (well, at least if you compiled
.I mdisp
with X11R5).
.RE
.PP
.I Quit:
.RS
Terminates
.IR mdisp .
Killing and closing won't quit
.IR mdisp ,
because the program does not keep track of all the connections and widgets
that have been created. If you don't terminate
.I mdisp
with the "Quit" button it will hang around without doing anything useful. (I
was too lazy to implement something better - but, well, you get this stuff
for free.)
.RE
.PP
During operation,
.I mdisp
writes some report messages on
.BR stderr .
If you don't want them, recompile without -DDEBUG.
.SH BUGS
.PP
\(bu
.I Mdisp
should terminate if it has no windows anymore.
.PP
\(bu
The source code should be explaned by suitable comments.
.PP
\(bu
Without the source code
.I mdisp
is of little use.
.SH AUTHOR
.nf
.ie n \{
  Dipl.-Inform. Rainer Klute      klute@irb.informatik.uni-dortmund.de
  Univ. Dortmund, IRB
  Postfach 500500         |)|/    Tel.: +49 231 755-4663
D-W4600 Dortmund 50       |\e|\e    Fax : +49 231 755-2386
\}
.el \{
.ta 17
Dipl.-Inform. Rainer Klute	klute@irb.informatik.uni-dortmund.de
Univ. Dortmund, IRB
.ta 13 17
Postfach 500500 	|)|/	Tel.: +49 231 755-4663
D-W4600 Dortmund 50	|\e|\e	Fax: +49 231 755-2386
\}
